/* metapost.h
 * Metapost printing (header file)
 */

#include <stdio.h>
#include <stdlib.h>

#include "graph.h"

void print_metapost (int *x, int *y, int *z, int m, int n, int k, 
                     FILE *mpfile, int version, int color, int asize);
void print_metapost_withcolor (FILE *mpfile, int color, int asize, int c);
void print_metapost_graph (int *x, int *y, int m, int n, FILE *mpfile, 
			   int version, int color, int asize, int cross,
			   int clean);
void find_hue (int n, int asize, double *r, double *g, double *b);
void print_metapost_graph_done (int *x, int *y, int m, int n, FILE *mpfile,
				int version, int color, int asize, int cross,
				graph_t *graph);
