/* util.h
 * Utility functions (header file)
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <limits.h>

#define MIN(x, y)   (((x) < (y)) ? (x) : (y))
#define MAX(x, y)   (((x) > (y)) ? (x) : (y))

#define DEFAULT_ASIZE 50   /* Default size of the alphabet */

int bsearchh (double n, double *acc_prob, int asize);
void *malloc_chk (unsigned int n);
int atoi_chk (const char *nptr);
void print_sequence (int *x, int n);
void copy_sequence (int *dest, int *src, int n);
void print_usage (char *binpath);
unsigned int gcd_2 (unsigned int x, unsigned int y);
unsigned int lcm_2 (unsigned int x, unsigned int y);
unsigned int lcm_array (int *a, int asize);
int int_compare (const void *p1, const void *p2);
void check_overflow (unsigned int x, unsigned int y);
