/* seqgen.h
 * Sequence generation (header file)
 */

#include <stdlib.h>

#include "util.h"

void generate_sequence (int *x, int *y, int *m, int *n, int asize, 
                        int genmethod);
void generate_sequence_uniform (int *x, int asize, int n);
void generate_sequence_accprob (int *x, int asize, int n, double *acc_prob);
void generate_sequence_prob (int *x, int asize, int n, double *prob);
void create_accprob(double *prob, double *accprob, int asize);
void generate_prob_1 (double *prob, int asize);
int generate_sequence_repetition (int *x, int asize, int rep);
void shuffle_sequence (int *x, int n);
void load_sequence (char seqfname[], int *x, int *y, int *m, int *n, 
                    int *asize);
